# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(B.pm) perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(RT.pm) perl(RT/Config.pm) perl(RT/Handle.pm) perl(RT/System.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_name RT-Extension-BriefHistory
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.00
Release: alt1
Summary: Filter history by type on ticket display page
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CL/CLOOS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin filter the history on the ticket display page by transaction types
that are defined in the configuration.
By default it shows only the transaction types create, correspond and comment.

The history page shows always the full history.

It was created after an article in the Best Practical wiki and
an discussion in the rt-user mailing list (look at SEE ALSO).


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/R*

%changelog
* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 2.00-alt1
- initial import by package builder

